Name:		fermilab-conf_sssd
Version:	1.0
Release:	2
Summary:	Configure SSSD to permit FNAL Kerberos authentication

Group:		Fermilab
License:	GPL
URL:		http://helpdesk.fnal.gov

Source0:	%{name}.tar.gz

BuildArch:	noarch
BuildRequires:	coreutils bash

Requires:	coreutils util-linux bash
Requires:	sssd sssd-krb5
%if 0%{rhel} < 8
Requires(post): authconfig
%else
Requires(post): authselect
%endif
Requires(post):  augeas systemd /usr/lib/systemd/system/sssd.service
Requires(preun): augeas systemd /usr/lib/systemd/system/sssd.service


%description
The default configuration of Enterprise Linux is to require local passwords,
which may not be suitable for all situations.

This RPM will update the SSSD configuration to permit FNAL Kerberos
passwords to be used in addition to any local passwords.


%prep
%setup -q -n %{name}

%build


%install
rm -rf %{buildroot}
%{__install} -D fermilab-conf_sssd.sh %{buildroot}/%{_libexecdir}/%{name}/%{name}.sh
%{__install} -D FNAL.conf %{buildroot}/%{_sysconfdir}/sssd/conf.d/FNAL.conf

%clean
rm -rf %{buildroot}

%check
bash -n %{buildroot}/%{_libexecdir}/%{name}/%{name}.sh

%post  -p /bin/bash
CURRENT_INSTALLS_OF_THIS_PACKAGE=${1:-0}

%{_libexecdir}/%{name}/%{name}.sh ${CURRENT_INSTALLS_OF_THIS_PACKAGE}
%preun -p /bin/bash
CURRENT_INSTALLS_OF_THIS_PACKAGE=${1:-0}

%{_libexecdir}/%{name}/%{name}.sh ${CURRENT_INSTALLS_OF_THIS_PACKAGE}

%files
%defattr(0644,root,root,0755)
%doc
%attr(0750,root,root) %{_libexecdir}/%{name}/%{name}.sh
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/sssd/conf.d/FNAL.conf

%changelog
* Thu Sep 19 2019 Pat Riehecky <riehecky@fnal.gov> 1.0-2
- Use socket services rather than explicit config

* Fri Jul 19 2019 Pat Riehecky <riehecky@fnal.gov> 1.0-1
- Initial build for EL7
